require( "scripts/style.lua" );

TitleFont = {
  standardFont,
  40,
  WhiteColor
};

--pos_y = 110;

MakeDialog
{
	  CreditsWindow
	  {
	    x = 0, y = 0,
	    w = ScreenWight, h = ScreenHeight,
	    --alphaStep = 4,	  
	    name="creditswindow",
		  text_x = 160, text_y = 255,
		  text_w = 660, text_h = 230,
		  font = standardFont,
		  fontsize = 18,
		  fontcolor = CreditsFontColor1,
		  headercolor = CreditsFontColor2,
		  columngap = 50,
		  columnwidth = 270,
		  time = 40000, 		-- Time to play credits in milliseconds
		  intropause = 3000, 	-- Time to pause credits at start, in ms
		  file = "credits/credits.txt",

	    Bitmap
      {
	      image="Menu/dialog",
	      x = kCenter,
	      y = kCenter,
	      alpha = 0,
	    };
	    
	    Text
	    {
	      alpha = 0,
		    font = HeaderFont,
		    name = "title",
		    x=kCenter,y=60+110,w=kMax ,h=75,
		    ProfileButtonLabel("credits",HeaderFontSize);
	    };
	    
	    SetStyle( BackButtonStyle ),
		  QEMenuButton
		  {
			  x=kCenter+160,
		    y=400+110,
			  name="back",
			  cancel=true,
			  default=true,
			  type = kPush,
			  command = function() 
			  SaveOptions(); 
			  CloseFade("creditswindow","CloseWindow()");
			  end;
		  },
	  },
}